Search available phone numbers
curl --request GET \
--url https://app.botrep.ai/api/user/phone-numbers/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.botrep.ai/api/user/phone-numbers/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.botrep.ai/api/user/phone-numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"phone_number": "+14155551234",
"phone_number_formatted": "+1 415-555-1234",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": true
},
{
"phone_number": "+14155555678",
"phone_number_formatted": "+1 415-555-5678",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": false
}
]
}
{
"data": []
}
Phone Numbers
Search available phone numbers
Search for available phone numbers that can be purchased
GET
/
user
/
phone-numbers
/
search
Search available phone numbers
This endpoint allows you to search for available phone numbers from our provider. Use the results to find a number you want to purchase.
Query Parameters
The ISO 3166-1 alpha-2 country code to search in (e.g., US, GB, AU, CA)
Filter phone numbers that contain specific digits (numeric characters only, max 10 digits)
Response
Array of available phone numbers
Show available number properties
Show available number properties
The phone number in E.164 format
The phone number formatted for display
The ISO country code
Monthly rental price in USD
The Stripe price ID for billing
Address requirements for this number:
none, local, foreign, or inventoryWhether the number supports SMS
{
"data": [
{
"phone_number": "+14155551234",
"phone_number_formatted": "+1 415-555-1234",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": true
},
{
"phone_number": "+14155555678",
"phone_number_formatted": "+1 415-555-5678",
"country_code": "US",
"price": 3.99,
"stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
"address_requirements": "none",
"sms_capable": false
}
]
}
{
"data": []
}
Supported Countries
| Country | Code |
|---|---|
| United States | US |
| Canada | CA |
| United Kingdom | GB |
| Australia | AU |
| Israel | IL |
| Poland | PL |
| Finland | FI |
| Netherlands | NL |
| Denmark | DK |
| Italy | IT |
⌘I

